$(document).ready(function() {
	
	/*
		Aleksey Skubaev

		askubaev@gmail.com
		icq - 322253350
		Разработка шаблонов для DLE и кроссбраузерная верстка
		------------------
		Необходимые jQuery скрипты.
	
	*/
	
	$('.top-menu-block li').hover(
		function() {
		$(this).find('.hidden-menu-block').css({'display':'block'});
		$(this).find('.top-menu-link').addClass('activ');
	}, function() {
		$(this).find('.hidden-menu-block').css({'display':'none'});
		$(this).find('.top-menu-link').removeClass('activ');
	});
	
	$('.login').click(function() {
		$('.fon-login').fadeIn();
		$('.panel-avtoriz').fadeIn();
	});
	
	$('.close, .fon-login').click(function() {
		$('.fon-login').fadeOut();
		$('.panel-avtoriz').fadeOut();
		
	});
	
	$('.top-news-block').hover(
		function() {
		$(this).find('.topnews-title').css({'display':'block'});
	}, function() {
		$(this).find('.topnews-title').css({'display':'none'});
	});
	
	$('.music-news-main').hover(
		function() {
		$(this).addClass('music-news-activ');
	}, function() {
		$(this).removeClass('music-news-activ');
	});
	
	$('.new-clips-main').hover(
		function() {
		$(this).addClass('new-clips-activ');
		$(this).addClass('news-clip-play-activ');
	}, function() {
		$(this).removeClass('new-clips-activ');
		$(this).removeClass('news-clip-play-activ');
	});
	
	$('.new-album-main').hover(
		function() {
		$(this).find('.new-album-title').css({'display':'block'});
	}, function() {
		$(this).find('.new-album-title').css({'display':'none'});
	});
	
	$('.related-main').hover(
		function() {
		$(this).find('.related-title').css({'display':'block'});
	}, function() {
		$(this).find('.related-title').css({'display':'none'});
	});
	
	$('.full-news-content img:first').css({'display':'none'});
	
	
	
	
	$('.slider-item:first').addClass('active-slider').find('.slider-item-big').fadeIn(800);
	
	var sliderTime = 8000;//скорость слайдера
	
	function showSliderItem() {
		clearTimeout(timerId);
		var currentBlock = $('.active-slider');
		var nextBlock = currentBlock.next('.slider-item').length ? currentBlock.next('.slider-item') : $('.slider-item:first');
	
		currentBlock.find('.slider-item-big').fadeOut(300);
		$('.slider-item').removeClass('active-slider');
		
		nextBlock.addClass('active-slider').find('.slider-item-big').fadeIn(800, function () {
			timerId = setTimeout(showSliderItem, sliderTime);
			});
			return false;
	}
	
	function showCurrent() {
		clearTimeout(timerId);
		$('.slider-item').removeClass('active-slider');
		$('.slider-item-big').fadeOut(0);
		$(this).parent().addClass('active-slider').find('.slider-item-big').fadeIn(0);
		
		timerId = setTimeout(showSliderItem, sliderTime);
	}
	
	timerId = setTimeout(showSliderItem, sliderTime);

	$('.slider-item').hover(
		function() {
		$(this).addClass('slider-item-hover');
	}, function() {
		$(this).removeClass('slider-item-hover');
	});
	
	$('.slider-item-small').hover(showCurrent);
	
});
